LIBUSB-CONFIG(1)

NAME
libusb-config - script to get information about the installed version of libusb

SYNOPSIS
libusb-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags] [LIBRARIES]

DESCRIPTION

libusb-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use libusb.

OPTIONS
libusb-config accepts the following options:

LIBRARIES
    This argument is currently ignored as libusb as only one library.

--version
    Print the currently installed version of libusb on the standard output.

--libs
    Print the linker flags that are necessary to link a libusb program.

--cflags
    Print the compiler flags that are necessary to compile a libusb program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that libusb was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that libusb was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

AUTHORS
libusb was written by Johannes Erdfelt <johannes@erdfelt.com> and Thomas Sailer <sailer@ife.ee.ethz.ch>.